ig.module(
	'game.entities.rival'
)
.requires(
	'impact.entity'
)
.defines(function(){

EntityRival = ig.Entity.extend({
	
	animSheet: new ig.AnimationSheet( 'media/img/game/rivals.png', 230, 200 ),
	
	size: {x: 230, y: 200},
	
	collides: ig.Entity.COLLIDES.NEVER,
	
	init: function( x, y, settings ) {
	    this.parent(x, y, settings);
		this.setScale(ig.global.rival.width/230,ig.global.rival.height/200);
		this.pos.y = ig.global.rival.y;
		this.addAnim( 'right', 1, [ (ig.global.game.open - 1) * 2 + 1], true );		
		this.addAnim( 'left', 1, [ (ig.global.game.open - 1) * 2 ], true);
		},

    update: function() {
		
		if(ig.global.game.paused == 0){
			if(ig.game.getEntityByName('ball').vel.x<=0){  
				this.pos.x = ig.game.getEntityByName('ball').pos.x - this.size.x * 0.2;
				this.currentAnim = this.anims.right;			
			}else{
				this.pos.x = ig.game.getEntityByName('ball').pos.x - this.size.x * 0.8;
				this.currentAnim = this.anims.left;			
			}
		}

        this.parent();
	}	
});

});