ig.module(
   'game.levels' 
)
.defines(function(){

    /* Level vars */
	ig.global.level = [];
	for(var i=0; i<=12; i++){
		ig.global.level[i] = {energizers : {},disturbers : {},damageBalls : {}};
	};
	
	/* Level 1 - Australia I */
	ig.global.level[1].speed = 1;
	ig.global.level[1].maxLife = 100;		
	ig.global.level[1].maxHits = 10;		
	ig.global.level[1].energizers.minLife = 0.8 * ig.global.level[1].maxLife;
	ig.global.level[1].energizers.duration = 5;
	ig.global.level[1].energizers.cadence = 6;
	ig.global.level[1].disturbers.cadence = 0;	
	ig.global.level[1].damageBalls.cadence = 0;			
	
	/* Level 2 - Australia II */
	ig.global.level[2].speed = 1;
	ig.global.level[2].maxLife = 100;		
	ig.global.level[2].maxHits = 15;		
	ig.global.level[2].energizers.minLife = 0.8 * ig.global.level[2].maxLife;
	ig.global.level[2].energizers.duration = 5;
	ig.global.level[2].energizers.cadence = 7;
	ig.global.level[2].disturbers.cadence = 0;	
	ig.global.level[2].damageBalls.cadence = 0;		

	/* Level 3 - Australia III */
	ig.global.level[3].speed = 1.1;
	ig.global.level[3].maxLife = 100;		
	ig.global.level[3].maxHits = 20;		
	ig.global.level[3].energizers.minLife = 0.8 * ig.global.level[3].maxLife;
	ig.global.level[3].energizers.duration = 5;
	ig.global.level[3].energizers.cadence = 8;
	ig.global.level[3].disturbers.cadence = 0;	
	ig.global.level[3].damageBalls.cadence = 0;		

	/* Level 4 - Francia I */
	ig.global.level[4].speed = 1.1;
	ig.global.level[4].maxLife = 100;		
	ig.global.level[4].maxHits = 30;		
	ig.global.level[4].energizers.minLife = 0.7 * ig.global.level[4].maxLife;
	ig.global.level[4].energizers.duration = 4;
	ig.global.level[4].energizers.cadence = 8;
	ig.global.level[4].disturbers.cadence = 15;	
	ig.global.level[4].damageBalls.cadence = 0;		
	
	/* Level 5 - Francia II */
	ig.global.level[5].speed = 1.1;
	ig.global.level[5].maxLife = 100;		
	ig.global.level[5].maxHits = 35;		
	ig.global.level[5].energizers.minLife = 0.7 * ig.global.level[5].maxLife;
	ig.global.level[5].energizers.duration = 4;
	ig.global.level[5].energizers.cadence = 9;
	ig.global.level[5].disturbers.cadence = 10;	
	ig.global.level[5].damageBalls.cadence = 0;		

	/* Level 6 - Francia III */
	ig.global.level[6].speed = 1.2;
	ig.global.level[6].maxLife = 100;		
	ig.global.level[6].maxHits = 40;		
	ig.global.level[6].energizers.minLife = 0.7 * ig.global.level[6].maxLife;
	ig.global.level[6].energizers.duration = 4;
	ig.global.level[6].energizers.cadence = 10;
	ig.global.level[6].disturbers.cadence = 8;	
	ig.global.level[6].damageBalls.cadence = 15;		

	/* Level 7 - UK I */
	ig.global.level[7].speed = 1.3;
	ig.global.level[7].maxLife = 100;		
	ig.global.level[7].maxHits = 50;		
	ig.global.level[7].energizers.minLife = 0.6 * ig.global.level[7].maxLife;
	ig.global.level[7].energizers.duration = 3;
	ig.global.level[7].energizers.cadence = 10;
	ig.global.level[7].disturbers.cadence = 7;	
	ig.global.level[7].damageBalls.cadence = 0;
	
	/* Level 8 - UK II */
	ig.global.level[8].speed = 1.3;
	ig.global.level[8].maxLife = 100;		
	ig.global.level[8].maxHits = 55;		
	ig.global.level[8].energizers.minLife = 0.55 * ig.global.level[8].maxLife;
	ig.global.level[8].energizers.duration = 3;
	ig.global.level[8].energizers.cadence = 10;
	ig.global.level[8].disturbers.cadence = 7;	
	ig.global.level[8].damageBalls.cadence = 0;
	
	/* Level 9 - UK III */
	ig.global.level[9].speed = 1.3;
	ig.global.level[9].maxLife = 100;		
	ig.global.level[9].maxHits = 55;		
	ig.global.level[9].energizers.minLife = 0.55 * ig.global.level[9].maxLife;
	ig.global.level[9].energizers.duration = 3;
	ig.global.level[9].energizers.cadence = 11;
	ig.global.level[9].disturbers.cadence = 7;		
	ig.global.level[9].damageBalls.cadence = 12;
	
	/* Level 10 - USA I */
	ig.global.level[10].speed = 1.5;
	ig.global.level[10].maxLife = 100;		
	ig.global.level[10].maxHits = 70;		
	ig.global.level[10].energizers.minLife = 0.5 * ig.global.level[10].maxLife;
	ig.global.level[10].energizers.duration = 2;
	ig.global.level[10].energizers.cadence = 13;
	ig.global.level[10].disturbers.cadence = 5;
	ig.global.level[10].damageBalls.cadence = 0;
	
	/* Level 11 - USA II */
	ig.global.level[11].speed = 1.5;
	ig.global.level[11].maxLife = 100;		
	ig.global.level[11].maxHits = 75;		
	ig.global.level[11].energizers.minLife = 0.5 * ig.global.level[11].maxLife;
	ig.global.level[11].energizers.duration = 2;
	ig.global.level[11].energizers.cadence = 13;
	ig.global.level[11].disturbers.cadence = 5;
	ig.global.level[11].damageBalls.cadence = 0;
	
	/* Level 12 - USA III */
	ig.global.level[12].speed = 1.6;
	ig.global.level[12].maxLife = 100;		
	ig.global.level[12].maxHits = 80;		
	ig.global.level[12].energizers.minLife = 0.5 * ig.global.level[12].maxLife;
	ig.global.level[12].energizers.duration = 2;
	ig.global.level[12].energizers.cadence = 13;
	ig.global.level[12].disturbers.cadence = 5;	
	ig.global.level[12].damageBalls.cadence = 7;
		
});
