ig.module(
	'game.entities.tutorial3'
)
.requires(
	'impact.entity'
)
.defines(function(){

EntityTutorial3 = ig.Entity.extend({

	collides: ig.Entity.COLLIDES.NEVER,
	
	prevButton : new ig.Button("Prev.png", ui, 0.03 * ig.global.game.height, ig.global.game.height - 0.03 * ig.global.game.height - 0.09 * ig.global.game.height, 0.09 * ig.global.game.height,1, function (){
		ig.game.tutorial();
	}),	
	
	backButton : new ig.Button("Volver.png", ui, ig.global.game.width - 0.03 * ig.global.game.height - ((224/90) * 0.09 * ig.global.game.height), 0.03 * ig.global.game.height, 0.09 * ig.global.game.height,1, function (){
		if(ig.game.getEntityByName('bikers')){ ig.game.closeTutorials(); }else{ ig.game.intro(); };
	}),		

	bikerGroupImage : new ig.UIObject("ObstaclesTutorial.png", ui, Math.floor( 0.25 * ig.global.game.height ), Math.floor( 0.30 * ig.global.game.height )  , 0.40 * ig.global.game.height , 1),			
		
	init: function( x, y, settings ) {
		this.parent(x, y, settings);
		clearMouse();
	},			

	titleText : new ig.TextLine("TUTORIAL > PELIGROS", Math.floor( 0.045 * ig.global.game.height ), Math.floor( 0.045 * ig.global.game.height ), Math.floor( 0.06 * ig.global.game.height ),'HCH', 'top', 'left', '#FFFFFF',1),		
	line1 : new ig.TextLine("¡Cuidado con estos dos elementos!,",Math.floor( 0.45 * ig.global.game.width ),Math.floor( 0.45 * ig.global.game.height ), Math.floor( 0.065 * ig.global.game.height ),'HCM','top','left','white',1),
	line2 : new ig.TextLine(" te restarán puntos si los tocas por error.",Math.floor( 0.45 * ig.global.game.width ),Math.floor( 0.54 * ig.global.game.height ), Math.floor( 0.065 * ig.global.game.height ),'HCM','top','left','white',1),
		
		
	draw : function(){
		
		var ctx = ig.system.context;

		//Background
		ctx.fillStyle = 'black';
		ctx.fillRect(0,0,ig.global.game.width,ig.global.game.height);		
		
		this.titleText.draw();		

		//Title line		
		ctx.fillStyle = '#5e5e5e';
		ctx.fillRect(0, 0.15 * ig.global.game.height, ig.global.game.width, 1);

		this.bikerGroupImage.draw();
		this.line1.draw();
		this.line2.draw();	
	
		this.prevButton.draw();
		this.backButton.draw();			

	},
	
	update: function() {
		this.prevButton.update();	
		this.backButton.update();			
		this.parent();
   }	
});

});