/*
* ImpactJS Text Line Plugin
* Alex Maestre - August 2014
*
*/
ig.module(
    'plugins.textLine'
)

.defines(function() { "use strict";
	
	ig.TextLine = ig.Class.extend({
		
		text : '', x : 0, y : 0, fontSize : 0, fontFamily : '', textBaseline : '', textAlign : '', color : '',
	
		init : function(text, x, y, fontSize, fontFamily, textBaseline, textAlign, color, alpha){
			this.text = text;
			this.x = x;
			this.y = y;
			this.alpha = alpha;
			this.fontSize = fontSize;
			this.fontFamily = fontFamily;
			this.textBaseline = textBaseline;
			this.textAlign = textAlign;
			this.color = color;
		},
		
		draw : function (){

			var ctx = ig.system.context;
			ctx.fillStyle = this.color;		
			ctx.font = this.fontSize + "px " + this.fontFamily;
			ctx.textBaseline = this.textBaseline;		
			ctx.textAlign = this.textAlign;	
			ctx.globalAlpha = this.alpha;
			ctx.fillText( this.text, this.x, this.y );	
			ctx.globalAlpha = 1;
	
		}
			
	});
	

});