ig.module(
	'game.entities.court'
)
.requires(
	'impact.entity'
)
.defines(function(){

EntityCourt = ig.Entity.extend({
	
	court : new ig.Image( 'media/img/game/court.png' ),
	let : new ig.Image( 'media/img/game/let.png' ),
	
	type: ig.Entity.TYPE.A,
	
	collides: ig.Entity.COLLIDES.NEVER,

    update: function() {
		this.parent();
    },	
	
	draw: function() {
		this.parent();	
	
		var ctx = ig.system.context;
		
		/* Court background */
		if(ig.global.open[ig.global.game.open].court != 0){
			ctx.fillStyle = ig.global.open[ig.global.game.open].court;
			ctx.fillRect( ig.global.court.x, ig.global.court.y, ig.global.court.width, ig.global.court.height  );
		}
		
		/* Court */
		ctx.drawImage( this.court.data, ig.global.court.x, ig.global.court.y, ig.global.court.width, ig.global.court.height );
		
		/* Let */
		ctx.drawImage( this.let.data, ig.global.let.x, ig.global.let.y, ig.global.let.width, ig.global.let.height );
				
		
	}
});

});